Bug 925980 (d6-views_datasource) - Review Request: drupal6-views_datasource - Plugins for Drupal Views for rendering content in a number formats
Summary: Review Request: drupal6-views_datasource - Plugins for Drupal Views for rende...
Status: CLOSED ERRATA
Alias: d6-views_datasource
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anderson Silva
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-23 02:58 UTC by Shawn Iwinski
Modified: 2013-05-21 01:44 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-01 04:24:39 UTC
ansilva: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Shawn Iwinski 2013-03-23 02:58:32 UTC
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/drupal6-views_datasource.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/drupal6-views_datasource-1.0-0.1.beta2.fc18.src.rpm

Description:
Views Datasource is a set of plugins for Drupal Views for rendering content in
a number of shareable, reusable formats based on XML, JSON and XHTML. These
formats allow content in a Drupal site to be easily used as data sources for
Semantic Web clients and web mash-ups. Views Datasource plugins output content
from node lists created in the Drupal Views interface in a variety of formats -
XML data documents using schemas like OPML and Atom, RDF data documents using a
vocabulary like FOAF, JSON data documents in a format like Exhibit JSON, and
XHTML data documents using a microformat like hCard.

Views Datasource can be thought of as a userland complement to the work going on
in the Services and RDF APIs as a site operator only needs to know Views to be
able to create datasources in the different formats.

The project consists of 4 Views style plugins (and related row plugins):
* views_xml - Output as raw XML, OPML, and Atom;
* views_json - Output as Simile/Exhibit JSON, Canonical JSON, JSONP/JSON in
               script;
* views_rdf- Output as FOAF, SIOC, and DOAP;
* views_xhtml - Output as hCard, hCalendar, and Geo.


Fedora Account System Username: siwinski

Comment 1 Anderson Silva 2013-04-22 19:31:50 UTC
one more...

rpmlint -i /home/ansilva/rpmbuild/RPMS/noarch/drupal6-views_datasource-1.0-0.1.beta2.fc18.noarch.rpm
drupal6-views_datasource.noarch: W: spelling-error %description -l en_US shareable -> share able, share-able, reachable
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US microformat -> micro format, micro-format, Microsoft
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US hCard -> h Card, hard, heard
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US userland -> user land, user-land, slanderous
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US datasources -> data sources, data-sources, outsources
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US json -> son, j son
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US rdf -> rd, ref, rd f
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US xhtml -> HTML
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: W: spelling-error %description -l en_US hCalendar -> h Calendar, calendar, legendary
The value of this tag appears to be misspelled. Please double-check.

drupal6-views_datasource.noarch: E: incorrect-fsf-address /usr/share/doc/drupal6-views_datasource-1.0/LICENSE.txt
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

1 packages and 0 specfiles checked; 1 errors, 11 warnings.

Comment 2 Anderson Silva 2013-04-22 20:22:02 UTC
Just found out incorrect-fsf-address is not a blocker. 

Package approved.

Comment 3 Shawn Iwinski 2013-04-22 22:21:29 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: drupal6-views_datasource
Short Description: Plugins for Drupal Views for rendering content in a number formats
Owners: siwinski afsilva
Branches: f17 f18 f19 el5 el6
InitialCC:

Comment 4 Gwyn Ciesla 2013-04-23 12:07:05 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-04-26 17:05:59 UTC
drupal6-views_datasource-1.0-0.1.beta2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal6-views_datasource-1.0-0.1.beta2.fc18

Comment 6 Fedora Update System 2013-04-26 17:06:09 UTC
drupal6-views_datasource-1.0-0.1.beta2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-views_datasource-1.0-0.1.beta2.fc17

Comment 7 Fedora Update System 2013-04-26 17:06:22 UTC
drupal6-views_datasource-1.0-0.1.beta2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal6-views_datasource-1.0-0.1.beta2.fc19

Comment 8 Fedora Update System 2013-04-26 17:06:33 UTC
drupal6-views_datasource-1.0-0.1.beta2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-views_datasource-1.0-0.1.beta2.el6

Comment 9 Fedora Update System 2013-04-26 17:06:44 UTC
drupal6-views_datasource-1.0-0.1.beta2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-views_datasource-1.0-0.1.beta2.el5

Comment 10 Fedora Update System 2013-04-26 23:54:23 UTC
drupal6-views_datasource-1.0-0.1.beta2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 11 Fedora Update System 2013-05-01 04:24:41 UTC
drupal6-views_datasource-1.0-0.1.beta2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2013-05-17 03:22:00 UTC
drupal6-views_datasource-1.0-0.1.beta2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 13 Fedora Update System 2013-05-17 03:26:44 UTC
drupal6-views_datasource-1.0-0.1.beta2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-05-17 22:17:15 UTC
drupal6-views_datasource-1.0-0.1.beta2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2013-05-21 01:44:13 UTC
drupal6-views_datasource-1.0-0.1.beta2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.